package domain


type AlibabaTclsAelophyMerchantChannelOrderPrecheckApiResult struct {
    /*
        返回码说明     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        返回码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        商品校验结果返回对象     */
    Model  *AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckResponse `json:"model,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckApiResult) SetErrMsg(v string) *AlibabaTclsAelophyMerchantChannelOrderPrecheckApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckApiResult) SetErrCode(v string) *AlibabaTclsAelophyMerchantChannelOrderPrecheckApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckApiResult) SetSuccess(v bool) *AlibabaTclsAelophyMerchantChannelOrderPrecheckApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderPrecheckApiResult) SetModel(v AlibabaTclsAelophyMerchantChannelOrderPrecheckPreCheckResponse) *AlibabaTclsAelophyMerchantChannelOrderPrecheckApiResult {
    s.Model = &v
    return s
}
